MLXDUMP(1)

NAME
mlxdump - manual page for mlxdump 4.19.0

DESCRIPTION
NAME

    mlxdump

SYNOPSIS

    mlxdump OPTION <command> [COMMAND OPTIONS]

    [-d|--device MstDevice] [-f|--file DumpFile] [-h|--help] [-v|--version]

DESCRIPTION

    Dumps device internal configuration registers. The dump file can be used by Mellanox Support for hardware troubleshooting.

OPTIONS

    mlxdump OPTION <command> [COMMAND OPTIONS]

-d|--device MstDevice
    : Mellanox mst device name

-f|--file DumpFile
    : Input dump file name

-h|--help
    : Show help message and exit

-v|--version
    : Show version and exit

COMMANDS SUMMARY

crspace
    : Dump all cr-space addresses

mstdump
    : MST dump

pause_counters
    : Read ConnectX3 pause counters

rx_frame_per_size_counters
    : Read ConnectX3 received frame per size counters

rx_frame_counters
    : Read ConnectX3 received frame counters

rx_frame_pf_stats_counters
    : Read ConnectX3 received frame statistics per pf counters

rx_frame_vl_stats_counters
    : Read ConnectX3 received frame statistics per vl counters

fecn_becn_counters
    : Read ConnectX3 FECN/BECN counters

tcu_drop_counters
    : Read ConnectX3 tcu drop counters

tx_frame_type_counters
    : Read ConnectX3 transmitted frame type counters

tx_frame_stats_counters
    : Read ConnectX3 transmitted frame statistics counters

tx_qp_index_counters
    : Read ConnectX3 qp index counters

tx_qp_index_lso_counters
    : Read ConnectX3 qp lso index counters

phy_uc
    : Read phy uController data section

phy_uc_debug
    : Read phy uController debug data section

pcie_uc
    : Read pcie uController data section

fsdump
    : Read Flow Steering information

sxdump
    : SX Dump

rxdump
    : RX Dump

nvlog
    : Nvlog Dump

snapshot
    : Dump everything

Note: to view <command> related options please run: "mlxdump OPTION <command> -h"

SEE ALSO
The full documentation for mlxdump is maintained as a Texinfo manual. If the info and mlxdump programs are properly installed at your site, the command

    info mlxdump

should give you access to the complete manual.